package question1;

import java.util.Calendar;
import java.text.DateFormat;

/**
 * 	Classe affichant T et l'heure courante.
 * 	@author Jacquemin Thibault
 * 	@author Marleix Mathieu
 */
public class ConsoleCommand<T> implements Command<T>
{

	/**
	 * Fonction affichant la valeur et la date
	 * de reception par le capteur.
	 */
	public void make( T f )
	{
		String date= DateFormat.getTimeInstance().format(
				Calendar.getInstance().getTime() );
		System.out.println( "[" + date + "] ds2438.value : " + f );
	} // make()

} // ConsoleCommand
