package question2;

/**
 * Gestionnaire s'occupant d'une valeur reçue par le capteur
 * superieure a 35% et inferieur a 100%.
 * 
 * @author Jacquemin Thibault
 * @author Marleix Mathieu
 */

public class MaxHandler extends Handler<Float>
{
	/**
	 * Constructeur de la classe Handler
	 * @param successor
	 */
	public MaxHandler( Handler<Float> successor )
	{
		super( successor );
	} // MaxHandler()

	/**
	 * Prise en charge de la requete par le gestionnaire.
	 * @param value : Float transmis par un des successeurs
	 */
	public boolean handleRequest( Float value )
	{
		if (value < 100.0) {
			System.out.println( "maximum ........ds2438.value : " + value );
			return true;
		}
		else return super.handleRequest( value );
	} // handleRequest()
} // MaxHandler
