package question2;

import question1.Command;

/**
 * Convertit la "commande" vers une chaîne de responsabilités.
 * @author Jacquemin Thibault
 * @author Marleix Mathieu
 */
public class ChainCommand<T> implements Command<T>
{
	private Handler<T> chain;

	public ChainCommand( Handler<T> chain )
	{
		this.chain= chain;
	} // ChainCommand()

	public void make( T value )
	{
		chain.handleRequest( value );
	} // make()
} // ChainCommand
