package question2;


/**
 * Gestionnaire s'occupant des valeurs du capteur 
 * inferieures a 35%.
 * 
 * @author Jacquemin Thibault
 * @author Marleix Mathieu
 */
public class MinHandler extends Handler<Float>
{
	/**
	 * Constructeur de la classe MinHandler.
	 * @param successor
	 */
	public MinHandler( Handler<Float> successor )
	{
		super( successor );
	} // MinHandler()

	/**
	 * Prise en charge de la requete par le gestionnaire.
	 * @param value : Float transmis par un des successeurs
	 */
	public boolean handleRequest( Float value )
	{
		if (value < 35.0) {
			System.out.println( "minimum .... ds2438.value : " + value );
			return true;
		}
		else return super.handleRequest( value );
	} // handleRequest()
} // MinHandler
